package com.yifu.cloud.plus.v1.yifu.insurances.mapper.ekp;

import com.yifu.cloud.plus.v1.yifu.insurances.vo.EkpInsuranceViewVo;
import com.yifu.cloud.plus.v1.yifu.insurances.vo.EkpSocialViewVo;
import com.yifu.cloud.plus.v1.yifu.insurances.vo.SettleVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author zhaji
 * @description TODO
 * @date 2022-08-26 09:12:46
 */
@Mapper
public interface EkpSettleMapper {
	/**
	 * 获取结算信息
	 *
	 * @author zhaji
	 * @param id
	 * @return {@link SettleVo}
	 */
	SettleVo getSettle(String id);


	EkpInsuranceViewVo selectSettleStatusBySettleNo(@Param("settleNo") String settleNo,@Param("payFlag") String payFlag);

	EkpSocialViewVo selectSocialViewStatusBySettleNo(@Param("settleNo") String settleNo,@Param("payFlag") String payFlag);

	EkpSocialViewVo selectFundViewBySettleNo(@Param("settleNo") String settleNo,@Param("payFlag") String payFlag);

	EkpInsuranceViewVo selectFIncomelViewBySettleNo(@Param("settleNo") String settleNo);

	EkpInsuranceViewVo selectIncomeViewBySettleNo(@Param("settleNo") String settleNo);

	EkpSocialViewVo selectSalarylViewBySettleNo(@Param("settleNo") String settleNo,@Param("payFlag") String payFlag);

}
